commit b555a1469ea285166363e5de327231e2ee698d93
Author: Rasmus Villemoes <rasmus.villemoes@prevas.dk>
Date:   Tue Nov 2 11:43:57 2021

    gcc: vx-common.h: fix test for VxWorks7
    
    The macro TARGET_VXWORKS7 is always defined (see vxworks-dummy.h).
    Thus we need to test its value, not its definedness.
    
    Fixes aca124df (define NO_DOT_IN_LABEL only in vxworks6).
    
    gcc/ChangeLog:
    
            * config/vx-common.h: Test value of TARGET_VXWORKS7 rather
            than definedness.
    
    (cherry picked from commit 44d0243a247dd1280265c649dab26e9486ffa015)

diff --git a/gcc/config/vx-common.h b/gcc/config/vx-common.h
index 7dd4dee536e..a436bf14074 100644
--- a/gcc/config/vx-common.h
+++ b/gcc/config/vx-common.h
@@ -97,7 +97,7 @@ along with GCC; see the file COPYING3.  If not see
 
 /* ------------------------ Misc configuration bits ----------------------  */
 
-#ifndef TARGET_VXWORKS7
+#if !TARGET_VXWORKS7
 /* VxWorks, prior to version 7, could not have dots in constructor
    labels, because it used a mutant variation of collect2 that
    generates C code instead of assembly.  Thus each constructor label

